public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kenton Groombridge" <concord@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-voip/mumble/
Date: Sat,  8 Jun 2024 19:14:47 +0000 (UTC)	[thread overview]
Message-ID: <1717873965.a5ea41964e51a7daf67b26d2a5a9b6d9d9e19314.concord@gentoo> (raw)

commit:     a5ea41964e51a7daf67b26d2a5a9b6d9d9e19314
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  8 19:03:50 2024 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Sat Jun  8 19:12:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5ea4196

net-voip/mumble: add 1.5.634

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 net-voip/mumble/Manifest              |   1 +
 net-voip/mumble/mumble-1.5.634.ebuild | 156 ++++++++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+)

diff --git a/net-voip/mumble/Manifest b/net-voip/mumble/Manifest
index e3a09445c321..a47bcf364138 100644
--- a/net-voip/mumble/Manifest
+++ b/net-voip/mumble/Manifest
@@ -2,3 +2,4 @@ DIST mumble-1.4-crypto-threads.patch.xz 1472 BLAKE2B 18f64d7b63a5ac253792e31fe27
 DIST mumble-1.4-odr.patch.xz 1088 BLAKE2B 48a7b04ef31f7d0f4cc7e5632ba8f328e5a7fa6961cd971b66a761366351a9a99e3cecce911c90701688083e03f2b63e6838083a8ab669f86fe0fecf23a8596d SHA512 600807cbd893f585c621e7267ee16e2828428fff17aa7eb36b8595164356ef73be2765a41ff9cd7c549c11a63abbf593b0172e56e07571e1c0a3c86fd14e5f15
 DIST mumble-1.4-openssl3.patch.xz 4172 BLAKE2B 5b68f023e218628a4d73b0991dcc7790ce5f92ce6a27c372c5e80b1f3a8beafa3ddd6416b884705b321aee31ea4f5e09dda6ceb240272dde64f420fbeb06845a SHA512 3a4e504f3365e93418cb85d0da4e6f2f54ab904283743907604bb39276560a4215d9bea1b225601789d1c3d84d270c04840ec57cd04e3df1204cc586ea42562a
 DIST mumble-1.4.287.tar.gz 9457292 BLAKE2B 5fc89c184aa54ab8269870fd87b6c9ce271d77c05a6ecb2aa78eccf297ffb842a50a18a142ac628c1b287a2b5e6c0ae0dced3237242303840a4de05b7f3e7040 SHA512 34ed30c18257ba8deae6938009a90147c8bc3a0aca28e69bea7ec0262e8d2cdacb9a840fac7d3dd623a52ef8d5903ed5424b62b483af21d6df6aa9632eae9d82
+DIST mumble-1.5.634.tar.gz 26001230 BLAKE2B ebd1e3569dd7311d704dbb83ff0ef15875dfaba7a7ba357e3be88800544d4d2217e19a15c0df778deec5a701ddc3692ca3f053651dec1eb1525b7963107ae76e SHA512 5fa9479dd836b87cb84fb6c067019f75aac335aa201baa34939f1c73dd7c67279aed6079aecdab74a14cb6c285b69cb82798de8801b2140ccf99c764b3a84b59

diff --git a/net-voip/mumble/mumble-1.5.634.ebuild b/net-voip/mumble/mumble-1.5.634.ebuild
new file mode 100644
index 000000000000..4ba02c3ee8b2
--- /dev/null
+++ b/net-voip/mumble/mumble-1.5.634.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit cmake flag-o-matic multilib python-any-r1 xdg
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+
+	# needed for the included 3rdparty license script,
+	# even if these components may not be compiled in
+	EGIT_SUBMODULES=(
+		'-*'
+		3rdparty/cmake-compiler-flags
+		3rdparty/FindPythonInterpreter
+		3rdparty/flag-icons
+		3rdparty/minhook
+		3rdparty/renamenoise
+		3rdparty/speexdsp
+		3rdparty/tracy
+	)
+else
+	if [[ "${PV}" == *_pre* ]] ; then
+		SRC_URI="https://dev.gentoo.org/~concord/distfiles/${P}.tar.xz"
+	else
+		MY_PV="${PV/_/-}"
+		MY_P="${PN}-${MY_PV}"
+		SRC_URI="https://github.com/mumble-voip/mumble/releases/download/v${MY_PV}/${MY_P}.tar.gz"
+		S="${WORKDIR}/${P/_*}"
+	fi
+	KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="+alsa debug g15 jack pipewire portaudio pulseaudio multilib nls +rnnoise speech test zeroconf"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-cpp/ms-gsl
+	>=dev-libs/openssl-1.0.0b:0=
+	dev-libs/poco[util,xml,zip]
+	>=dev-libs/protobuf-2.2.0:=
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5[ssl]
+	dev-qt/qtsql:5[sqlite]
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	>=media-libs/libsndfile-1.0.20[-minimal]
+	>=media-libs/opus-1.3.1
+	>=media-libs/speex-1.2.0
+	media-libs/speexdsp
+	sys-apps/lsb-release
+	x11-libs/libX11
+	x11-libs/libXi
+	alsa? ( media-libs/alsa-lib )
+	g15? ( app-misc/g15daemon:= )
+	jack? ( virtual/jack )
+	portaudio? ( media-libs/portaudio )
+	pulseaudio? ( media-libs/libpulse )
+	pipewire? ( media-video/pipewire )
+	speech? ( >=app-accessibility/speech-dispatcher-0.8.0 )
+	zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	dev-cpp/nlohmann_json
+	dev-qt/qtconcurrent:5
+	dev-qt/qttest:5
+	dev-libs/boost
+	x11-base/xorg-proto
+"
+BDEPEND="
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig
+"
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	sed '/TRACY_ON_DEMAND/s@ ON @ OFF @' -i src/CMakeLists.txt || die
+
+	# required because of xdg.eclass also providing src_prepare
+	cmake_src_prepare
+}
+
+src_configure() {
+
+	local mycmakeargs=(
+		-Dalsa="$(usex alsa)"
+		-Dbundled-gsl="OFF"
+		-Dbundled-json="OFF"
+		-Dbundled-speex="OFF"
+		-Dg15="$(usex g15)"
+		-Djackaudio="$(usex jack)"
+		-Doverlay="ON"
+		-Dportaudio="$(usex portaudio)"
+		-Doverlay-xcompile="$(usex multilib)"
+		-Dpipewire="$(usex pipewire)"
+		-Dpulseaudio="$(usex pulseaudio)"
+		-Drenamenoise="$(usex rnnoise)"
+		-Dserver="OFF"
+		-Dspeechd="$(usex speech)"
+		-Dtests="$(usex test)"
+		-Dtracy="OFF"
+		-Dtranslations="$(usex nls)"
+		-Dupdate="OFF"
+		-Dwarnings-as-errors="OFF"
+		-Dzeroconf="$(usex zeroconf)"
+	)
+
+	if [[ "${PV}" != 9999 ]] ; then
+		mycmakeargs+=( -DBUILD_NUMBER="$(ver_cut 3)" )
+	fi
+
+	# https://bugs.gentoo.org/832978
+	# fix tests (and possibly runtime issues) on arches with unsigned chars
+	append-cxxflags -fsigned-char
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	if use amd64 && use multilib ; then
+		# The 32bit overlay library gets built when multilib is enabled.
+		# Install it into the correct 32bit lib dir.
+		local libdir_64="/usr/$(get_libdir)/mumble"
+		local libdir_32="/usr/$(get_abi_var LIBDIR x86)/mumble"
+		dodir ${libdir_32}
+		mv "${ED}"/${libdir_64}/libmumbleoverlay.x86.so* \
+			"${ED}"/${libdir_32}/ || die
+	fi
+
+	insinto /usr/share/mumble
+	doins -r samples
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	echo
+	elog "Visit https://wiki.mumble.info/ for futher configuration instructions."
+	elog "Run 'mumble-overlay <program>' to start the OpenGL overlay (after starting mumble)."
+	echo
+}


             reply	other threads:[~2024-06-08 19:14 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-08 19:14 Kenton Groombridge [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-05 14:22 [gentoo-commits] repo/gentoo:master commit in: net-voip/mumble/ Kenton Groombridge
2024-08-05 14:22 Kenton Groombridge
2024-06-08 19:14 Kenton Groombridge
2024-02-09 14:41 Kenton Groombridge
2024-02-09 14:41 Kenton Groombridge
2023-08-14 22:50 Kenton Groombridge
2023-06-11 18:22 Andreas Sturmlechner
2023-03-27 22:23 Kenton Groombridge
2022-12-27  5:03 Kenton Groombridge
2022-12-06 20:02 Kenton Groombridge
2022-12-06 19:49 Arthur Zamarin
2022-12-06 19:45 Arthur Zamarin
2022-11-15 14:50 Kenton Groombridge
2022-10-20 10:52 Jakov Smolić
2022-09-17 16:47 Kenton Groombridge
2022-09-04 13:03 David Seifert
2022-08-31 14:52 Kenton Groombridge
2022-08-31 14:52 Kenton Groombridge
2022-08-31 14:52 Kenton Groombridge
2022-08-21 21:07 Kenton Groombridge
2022-07-29  7:24 Sam James
2022-07-03 19:18 Kenton Groombridge
2022-07-03 19:18 Kenton Groombridge
2022-07-03 19:18 Kenton Groombridge
2022-07-03 19:18 Kenton Groombridge
2022-07-01 18:42 Kenton Groombridge

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1717873965.a5ea41964e51a7daf67b26d2a5a9b6d9d9e19314.concord@gentoo \
    --to=concord@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox